
Core - Bug # 47140

Status: Resolved Priority: Should have
Author: Oliver Hader Category: File Abstraction Layer (FAL)
Created: 2013-04-11 Assigned To: Oliver Hader
Updated: 2013-04-14 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity: nightmare
Is Regression:
Sprint Focus:
Subject: ProcessedFile/Thumbnail is always regenerated
Description

A ProcessedFile/Thumbnail is always regenerated even if there are not modifications to the original file.

The reason for this spread all over the ProcessedFile handling and boils down to a new ProcessedFile is being persisted in the
file-system by using a regular ResourceStorage::addFile() call that results in a plain File object. The indexer then tries to load this file
and will create a new UID for the thumbnail in sys_file. This uid value is then used to update(!) the sys_file_processedfile entry - which
fails since the uid was taken from sys_file.

Since this is spead a lot, the only chance to overcome this, is to halt the indexer if the file identifier starts with the processing folder
identifier.

Related issues:
related to Core - Bug # 45221: Images with whitespaces in their names are not... Resolved 2013-02-06
related to Core - Bug # 47211: ProcessedFile is persisted in sys_file as well Resolved 2013-04-14
related to Media Management - Bug # 47782: Regenerated and indexed thumbnails... Resolved 2013-05-01

Associated revisions
Revision c6834d8c - 2013-04-14 12:37 - Oliver Hader

[BUGFIX] ProcessedFile/Thumbnail is always regenerated

A ProcessedFile/Thumbnail is always regenerated even if there
are not modifications to the original file.

The reasons for this spread all over the ProcessedFile handling
and boils down to a new ProcessedFile is being persisted in the
file-system by using a regular ResourceStorage::addFile() call
that results in a plain File object. The indexer then tries to
load this file and will create a new UID for the thumbnail in
sys_file. This uid value is then used to update(!) the
sys_file_processedfile entry - which fails since the uid
was taken from sys_file.

The bug was introduced in
I53e4eb42def291ba88ce18209a348b1e2f592185 were the
processedFile is updated with information of a File object and
the wrong uid is transfered as property.

Fixes: #47140
Releases: 6.1, 6.0
Change-Id: I4252b237d6022485c51ad32a7f956f5afcda8c08
Reviewed-on: https://review.typo3.org/19810
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision c9a27c2b - 2013-04-14 12:38 - Oliver Hader

[BUGFIX] ProcessedFile/Thumbnail is always regenerated

A ProcessedFile/Thumbnail is always regenerated even if there
are not modifications to the original file.

The reasons for this spread all over the ProcessedFile handling
and boils down to a new ProcessedFile is being persisted in the
file-system by using a regular ResourceStorage::addFile() call
that results in a plain File object. The indexer then tries to
load this file and will create a new UID for the thumbnail in
sys_file. This uid value is then used to update(!) the
sys_file_processedfile entry - which fails since the uid
was taken from sys_file.

The bug was introduced in
I53e4eb42def291ba88ce18209a348b1e2f592185 were the
processedFile is updated with information of a File object and
the wrong uid is transfered as property.

Fixes: #47140
Releases: 6.1, 6.0
Change-Id: I4252b237d6022485c51ad32a7f956f5afcda8c08
Reviewed-on: https://review.typo3.org/19809
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History
#1 - 2013-04-11 21:01 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/19809

#2 - 2013-04-11 21:03 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19810

#3 - 2013-04-12 00:49 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/19810

#4 - 2013-04-14 12:37 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/19809

#5 - 2013-04-14 13:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c9a27c2bcea4d97d2d6214c0c9de1f05fee60ace.
